VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL SYSCLK
        SIGNAL XLXN_1012(31:0)
        SIGNAL XLXN_1009
        SIGNAL REGSEL(7:0)
        SIGNAL F_DS
        SIGNAL XLXN_971
        SIGNAL F_RS
        SIGNAL F_SCLK
        SIGNAL F_MOSI
        SIGNAL F_MISO
        SIGNAL D0(31:0)
        SIGNAL D1(31:0)
        SIGNAL D2(31:0)
        SIGNAL D3(31:0)
        SIGNAL XLXN_1081
        SIGNAL BASEADR(3:0)
        SIGNAL BASEADR(3)
        SIGNAL BASEADR(2)
        SIGNAL BASEADR(1)
        SIGNAL BASEADR(0)
        SIGNAL REGSEL(7)
        SIGNAL REGSEL(6)
        SIGNAL REGSEL(5)
        SIGNAL REGSEL(4)
        SIGNAL XLXN_1079
        SIGNAL REGSEL(3)
        SIGNAL REGSEL(2)
        SIGNAL REGSEL(1)
        SIGNAL REGSEL(0)
        SIGNAL XLXN_1102
        SIGNAL XLXN_1103
        SIGNAL XLXN_1104
        SIGNAL XLXN_1105
        SIGNAL Q4(31:0)
        SIGNAL Q5(31:0)
        SIGNAL Q6(31:0)
        SIGNAL Q7(31:0)
        SIGNAL STROBE4
        SIGNAL STROBE5
        SIGNAL STROBE6
        SIGNAL STROBE7
        SIGNAL REGSEL(1:0)
        SIGNAL XLXN_1133(31:0)
        SIGNAL XLXN_1135
        SIGNAL STROBE0
        PORT Input SYSCLK
        PORT Input F_DS
        PORT Input F_RS
        PORT Input F_SCLK
        PORT Input F_MOSI
        PORT Output F_MISO
        PORT Input D0(31:0)
        PORT Input D1(31:0)
        PORT Input D2(31:0)
        PORT Input D3(31:0)
        PORT Input BASEADR(3:0)
        PORT Output Q4(31:0)
        PORT Output Q5(31:0)
        PORT Output Q6(31:0)
        PORT Output Q7(31:0)
        PORT Output STROBE4
        PORT Output STROBE5
        PORT Output STROBE6
        PORT Output STROBE7
        PORT Output STROBE0
        BEGIN BLOCKDEF obuft
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -96 64 -96 
            LINE N 96 -96 64 -96 
            LINE N 96 -48 96 -96 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF comp4
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -640 320 -64 
            LINE N 384 -352 320 -352 
            LINE N 0 -128 64 -128 
            LINE N 0 -192 64 -192 
            LINE N 0 -384 64 -384 
            LINE N 0 -448 64 -448 
            LINE N 0 -576 64 -576 
            LINE N 0 -512 64 -512 
            LINE N 0 -320 64 -320 
            LINE N 0 -256 64 -256 
        END BLOCKDEF
        BEGIN BLOCKDEF nand2b1
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 40 -64 
            CIRCLE N 40 -76 64 -52 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 216 -96 
            CIRCLE N 192 -108 216 -84 
            LINE N 64 -48 64 -144 
            LINE N 64 -144 144 -144 
            LINE N 144 -48 64 -48 
            ARC N 96 -144 192 -48 144 -48 144 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_sri8
            TIMESTAMP 2009 2 3 19 57 5
            RECTANGLE N 64 -256 320 0 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -32 384 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_sri32
            TIMESTAMP 2009 2 3 19 58 55
            RECTANGLE N 64 -256 320 0 
            RECTANGLE N 320 -236 384 -212 
            LINE N 320 -224 384 -224 
            LINE N 320 -32 384 -32 
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_sro32
            TIMESTAMP 2009 2 3 20 1 54
            LINE N 320 -160 384 -160 
            RECTANGLE N 64 -192 320 0 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
            LINE N 64 -160 0 -160 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_reg32
            TIMESTAMP 2009 2 4 6 4 27
            RECTANGLE N 64 -192 320 0 
            RECTANGLE N 320 -172 384 -148 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            LINE N 64 -96 0 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF d4_16e
            TIMESTAMP 2000 1 1 10 10 10
            RECTANGLE N 64 -1152 320 -64 
            LINE N 384 -1088 320 -1088 
            LINE N 384 -1024 320 -1024 
            LINE N 384 -960 320 -960 
            LINE N 384 -896 320 -896 
            LINE N 384 -832 320 -832 
            LINE N 384 -768 320 -768 
            LINE N 384 -704 320 -704 
            LINE N 384 -640 320 -640 
            LINE N 384 -576 320 -576 
            LINE N 384 -512 320 -512 
            LINE N 384 -448 320 -448 
            LINE N 384 -384 320 -384 
            LINE N 384 -320 320 -320 
            LINE N 384 -256 320 -256 
            LINE N 384 -192 320 -192 
            LINE N 384 -128 320 -128 
            LINE N 0 -896 64 -896 
            LINE N 0 -960 64 -960 
            LINE N 0 -1024 64 -1024 
            LINE N 0 -1088 64 -1088 
            LINE N 0 -128 64 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF and2
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -64 64 -64 
            LINE N 0 -128 64 -128 
            LINE N 256 -96 192 -96 
            ARC N 96 -144 192 -48 144 -48 144 -144 
            LINE N 144 -48 64 -48 
            LINE N 64 -144 144 -144 
            LINE N 64 -48 64 -144 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI_inmux4
            TIMESTAMP 2009 2 4 6 59 2
            LINE N 64 32 0 32 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -352 384 -352 
            RECTANGLE N 64 -384 320 64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_457 nand2b1
            PIN I0 F_DS
            PIN I1 XLXN_1135
            PIN O XLXN_1009
        END BLOCK
        BEGIN BLOCK XLXI_248 obuft
            PIN I XLXN_971
            PIN T XLXN_1009
            PIN O F_MISO
        END BLOCK
        BEGIN BLOCK XLXI_480 SPI_sri8
            PIN N_SEL F_RS
            PIN MOSI F_MOSI
            PIN SCLK F_SCLK
            PIN SYSCLK SYSCLK
            PIN Q(7:0) REGSEL(7:0)
            PIN STROBE
        END BLOCK
        BEGIN BLOCK XLXI_481 SPI_sri32
            PIN DQ(31:0) XLXN_1012(31:0)
            PIN STROBE XLXN_1081
            PIN SYSCLK SYSCLK
            PIN SCLK F_SCLK
            PIN N_SEL F_DS
            PIN MOSI F_MOSI
        END BLOCK
        BEGIN BLOCK XLXI_482 SPI_sro32
            PIN MISO XLXN_971
            PIN D(31:0) XLXN_1133(31:0)
            PIN SCLK F_SCLK
            PIN N_SEL F_DS
        END BLOCK
        BEGIN BLOCK XLXI_487 SPI_reg32
            PIN Q(31:0) Q7(31:0)
            PIN STROBE STROBE7
            PIN D(31:0) XLXN_1012(31:0)
            PIN ENA XLXN_1105
            PIN SYSCLK SYSCLK
        END BLOCK
        BEGIN BLOCK XLXI_488 SPI_reg32
            PIN Q(31:0) Q6(31:0)
            PIN STROBE STROBE6
            PIN D(31:0) XLXN_1012(31:0)
            PIN ENA XLXN_1104
            PIN SYSCLK SYSCLK
        END BLOCK
        BEGIN BLOCK XLXI_419 comp4
            PIN A0 REGSEL(4)
            PIN A1 REGSEL(5)
            PIN A2 REGSEL(6)
            PIN A3 REGSEL(7)
            PIN B0 BASEADR(0)
            PIN B1 BASEADR(1)
            PIN B2 BASEADR(2)
            PIN B3 BASEADR(3)
            PIN EQ XLXN_1135
        END BLOCK
        BEGIN BLOCK XLXI_489 d4_16e
            PIN A0 REGSEL(0)
            PIN A1 REGSEL(1)
            PIN A2 REGSEL(2)
            PIN A3 REGSEL(3)
            PIN E XLXN_1079
            PIN D0 STROBE0
            PIN D1
            PIN D10
            PIN D11
            PIN D12
            PIN D13
            PIN D14
            PIN D15
            PIN D2
            PIN D3
            PIN D4 XLXN_1102
            PIN D5 XLXN_1103
            PIN D6 XLXN_1104
            PIN D7 XLXN_1105
            PIN D8
            PIN D9
        END BLOCK
        BEGIN BLOCK XLXI_490 and2
            PIN I0 XLXN_1135
            PIN I1 XLXN_1081
            PIN O XLXN_1079
        END BLOCK
        BEGIN BLOCK XLXI_494 SPI_reg32
            PIN Q(31:0) Q5(31:0)
            PIN STROBE STROBE5
            PIN D(31:0) XLXN_1012(31:0)
            PIN ENA XLXN_1103
            PIN SYSCLK SYSCLK
        END BLOCK
        BEGIN BLOCK XLXI_495 SPI_reg32
            PIN Q(31:0) Q4(31:0)
            PIN STROBE STROBE4
            PIN D(31:0) XLXN_1012(31:0)
            PIN ENA XLXN_1102
            PIN SYSCLK SYSCLK
        END BLOCK
        BEGIN BLOCK XLXI_498 SPI_inmux4
            PIN CLK SYSCLK
            PIN SEL(1:0) REGSEL(1:0)
            PIN D0(31:0) D0(31:0)
            PIN D1(31:0) D1(31:0)
            PIN D2(31:0) D2(31:0)
            PIN D3(31:0) D3(31:0)
            PIN Q(31:0) XLXN_1133(31:0)
            PIN ENA XLXN_1135
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 5440 3520
        BEGIN BRANCH XLXN_1012(31:0)
            WIRE 1168 1296 2000 1296
            WIRE 2000 1296 2192 1296
            WIRE 2000 672 2192 672
            WIRE 2000 672 2000 880
            WIRE 2000 880 2192 880
            WIRE 2000 880 2000 1088
            WIRE 2000 1088 2192 1088
            WIRE 2000 1088 2000 1296
        END BRANCH
        INSTANCE XLXI_457 1424 816 M0
        INSTANCE XLXI_248 1104 816 M0
        BEGIN BRANCH XLXN_1009
            WIRE 1104 720 1168 720
        END BRANCH
        BEGIN BRANCH F_DS
            WIRE 272 1296 688 1296
            WIRE 688 1296 784 1296
            WIRE 688 1008 688 1072
            WIRE 688 1072 784 1072
            WIRE 688 1072 688 1296
            WIRE 688 1008 1456 1008
            WIRE 1424 752 1456 752
            WIRE 1456 752 1456 1008
        END BRANCH
        BEGIN BRANCH XLXN_971
            WIRE 1104 784 1184 784
            WIRE 1184 784 1184 1072
            WIRE 1168 1072 1184 1072
        END BRANCH
        BEGIN BRANCH F_RS
            WIRE 288 1600 784 1600
        END BRANCH
        BEGIN BRANCH F_SCLK
            WIRE 288 1728 704 1728
            WIRE 704 1728 784 1728
            WIRE 704 1136 784 1136
            WIRE 704 1136 704 1424
            WIRE 704 1424 704 1728
            WIRE 704 1424 784 1424
        END BRANCH
        BEGIN BRANCH F_MOSI
            WIRE 288 1664 688 1664
            WIRE 688 1664 784 1664
            WIRE 688 1360 784 1360
            WIRE 688 1360 688 1664
        END BRANCH
        BEGIN BRANCH F_MISO
            WIRE 256 784 880 784
        END BRANCH
        IOMARKER 272 1296 F_DS R180 24
        IOMARKER 288 1792 SYSCLK R180 28
        IOMARKER 288 1600 F_RS R180 24
        IOMARKER 288 1728 F_SCLK R180 24
        IOMARKER 288 1664 F_MOSI R180 24
        IOMARKER 256 784 F_MISO R180 24
        BEGIN INSTANCE XLXI_480 784 1824 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_481 784 1520 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_482 784 1232 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_487 2192 1456 R0
        END INSTANCE
        INSTANCE XLXI_419 736 3424 R0
        BEGIN BRANCH BASEADR(3:0)
            WIRE 336 3376 512 3376
            WIRE 512 3088 512 3104
            WIRE 512 3104 512 3168
            WIRE 512 3168 512 3232
            WIRE 512 3232 512 3296
            WIRE 512 3296 512 3376
        END BRANCH
        BUSTAP 512 3296 608 3296
        BEGIN BRANCH BASEADR(3)
            WIRE 608 3296 672 3296
            WIRE 672 3296 736 3296
            BEGIN DISPLAY 672 3296 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 512 3232 608 3232
        BEGIN BRANCH BASEADR(2)
            WIRE 608 3232 672 3232
            WIRE 672 3232 736 3232
            BEGIN DISPLAY 672 3232 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 512 3168 608 3168
        BEGIN BRANCH BASEADR(1)
            WIRE 608 3168 672 3168
            WIRE 672 3168 736 3168
            BEGIN DISPLAY 672 3168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 512 3104 608 3104
        BEGIN BRANCH BASEADR(0)
            WIRE 608 3104 672 3104
            WIRE 672 3104 736 3104
            BEGIN DISPLAY 672 3104 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 512 3040 608 3040
        BEGIN BRANCH REGSEL(7)
            WIRE 608 3040 672 3040
            WIRE 672 3040 736 3040
            BEGIN DISPLAY 672 3040 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 512 2976 608 2976
        BEGIN BRANCH REGSEL(6)
            WIRE 608 2976 672 2976
            WIRE 672 2976 736 2976
            BEGIN DISPLAY 672 2976 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 512 2912 608 2912
        BEGIN BRANCH REGSEL(5)
            WIRE 608 2912 672 2912
            WIRE 672 2912 736 2912
            BEGIN DISPLAY 672 2912 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 512 2848 608 2848
        BEGIN BRANCH REGSEL(4)
            WIRE 608 2848 672 2848
            WIRE 672 2848 736 2848
            BEGIN DISPLAY 672 2848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_490 1264 3136 R0
        BUSTAP 1360 2608 1456 2608
        BEGIN BRANCH REGSEL(3)
            WIRE 1456 2608 1520 2608
            WIRE 1520 2608 1648 2608
            BEGIN DISPLAY 1520 2608 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1360 2544 1456 2544
        BEGIN BRANCH REGSEL(2)
            WIRE 1456 2544 1520 2544
            WIRE 1520 2544 1648 2544
            BEGIN DISPLAY 1520 2544 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1360 2480 1456 2480
        BEGIN BRANCH REGSEL(1)
            WIRE 1456 2480 1520 2480
            WIRE 1520 2480 1648 2480
            BEGIN DISPLAY 1520 2480 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BUSTAP 1360 2416 1456 2416
        BEGIN BRANCH REGSEL(0)
            WIRE 1456 2416 1520 2416
            WIRE 1520 2416 1648 2416
            BEGIN DISPLAY 1520 2416 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH REGSEL(7:0)
            WIRE 512 2688 512 2848
            WIRE 512 2848 512 2912
            WIRE 512 2912 512 2976
            WIRE 512 2976 512 3040
            WIRE 512 3040 512 3056
            WIRE 512 2688 832 2688
            WIRE 832 2688 1360 2688
            WIRE 1168 1600 1360 1600
            WIRE 1360 1600 1360 2064
            WIRE 1360 2064 1360 2416
            WIRE 1360 2416 1360 2480
            WIRE 1360 2480 1360 2544
            WIRE 1360 2544 1360 2608
            WIRE 1360 2608 1360 2688
            BEGIN DISPLAY 832 2688 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
            BEGIN DISPLAY 1360 2064 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_489 1648 3504 R0
        BEGIN BRANCH XLXN_1079
            WIRE 1520 3040 1536 3040
            WIRE 1536 3040 1536 3376
            WIRE 1536 3376 1648 3376
        END BRANCH
        BEGIN INSTANCE XLXI_488 2192 1248 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_494 2192 1040 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_495 2192 832 R0
        END INSTANCE
        BEGIN BRANCH Q4(31:0)
            WIRE 2576 672 2976 672
        END BRANCH
        IOMARKER 2976 672 Q4(31:0) R0 28
        BEGIN BRANCH Q5(31:0)
            WIRE 2576 880 2976 880
        END BRANCH
        IOMARKER 2976 880 Q5(31:0) R0 28
        BEGIN BRANCH Q6(31:0)
            WIRE 2576 1088 2976 1088
        END BRANCH
        IOMARKER 2976 1088 Q6(31:0) R0 28
        BEGIN BRANCH Q7(31:0)
            WIRE 2576 1296 2976 1296
        END BRANCH
        IOMARKER 2976 1296 Q7(31:0) R0 28
        BEGIN BRANCH STROBE4
            WIRE 2576 800 2976 800
        END BRANCH
        BEGIN BRANCH STROBE5
            WIRE 2576 1008 2976 1008
        END BRANCH
        BEGIN BRANCH STROBE6
            WIRE 2576 1216 2976 1216
        END BRANCH
        BEGIN BRANCH STROBE7
            WIRE 2576 1424 2976 1424
        END BRANCH
        IOMARKER 2976 1424 STROBE7 R0 28
        IOMARKER 2976 1216 STROBE6 R0 28
        IOMARKER 2976 1008 STROBE5 R0 28
        IOMARKER 2976 800 STROBE4 R0 28
        BEGIN DISPLAY 2812 1548 TEXT "Qn valid before rising edge of Strobes"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2812 1588 TEXT "Strobes high for 2 SYSCLKs"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN BRANCH D3(31:0)
            WIRE 2992 2480 3216 2480
        END BRANCH
        IOMARKER 2992 2480 D3(31:0) R180 28
        BEGIN BRANCH D2(31:0)
            WIRE 2992 2416 3216 2416
        END BRANCH
        IOMARKER 2992 2416 D2(31:0) R180 28
        BEGIN BRANCH D1(31:0)
            WIRE 2992 2352 3216 2352
        END BRANCH
        IOMARKER 2992 2352 D1(31:0) R180 28
        BEGIN BRANCH D0(31:0)
            WIRE 2992 2288 3216 2288
        END BRANCH
        IOMARKER 2992 2288 D0(31:0) R180 28
        BEGIN BRANCH REGSEL(1:0)
            WIRE 3008 2224 3216 2224
            BEGIN DISPLAY 3008 2224 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH SYSCLK
            WIRE 288 1792 720 1792
            WIRE 720 1792 784 1792
            WIRE 720 1792 720 1904
            WIRE 720 1904 2080 1904
            WIRE 2080 1904 2080 2160
            WIRE 2080 2160 3216 2160
            WIRE 720 1488 784 1488
            WIRE 720 1488 720 1792
            WIRE 2080 736 2192 736
            WIRE 2080 736 2080 944
            WIRE 2080 944 2192 944
            WIRE 2080 944 2080 1152
            WIRE 2080 1152 2192 1152
            WIRE 2080 1152 2080 1360
            WIRE 2080 1360 2192 1360
            WIRE 2080 1360 2080 1904
        END BRANCH
        BEGIN BRANCH XLXN_1081
            WIRE 1168 1488 1248 1488
            WIRE 1248 1488 1248 3008
            WIRE 1248 3008 1264 3008
        END BRANCH
        BEGIN BRANCH XLXN_1133(31:0)
            WIRE 736 528 3664 528
            WIRE 3664 528 3664 2160
            WIRE 736 528 736 1200
            WIRE 736 1200 784 1200
            WIRE 3600 2160 3664 2160
        END BRANCH
        BEGIN INSTANCE XLXI_498 3216 2512 R0
        END INSTANCE
        BEGIN BRANCH XLXN_1135
            WIRE 1120 3072 1184 3072
            WIRE 1184 3072 1264 3072
            WIRE 1184 2896 1616 2896
            WIRE 1184 2896 1184 3072
            WIRE 1424 688 1616 688
            WIRE 1616 688 1616 2224
            WIRE 1616 2224 1616 2896
            WIRE 1616 2224 2432 2224
            WIRE 2432 2224 2432 2544
            WIRE 2432 2544 3216 2544
        END BRANCH
        IOMARKER 336 3376 BASEADR(3:0) R180 28
        BEGIN BRANCH XLXN_1105
            WIRE 2032 2864 2176 2864
            WIRE 2176 1424 2192 1424
            WIRE 2176 1424 2176 2864
        END BRANCH
        BEGIN BRANCH XLXN_1104
            WIRE 2032 2800 2160 2800
            WIRE 2160 1216 2192 1216
            WIRE 2160 1216 2160 2800
        END BRANCH
        BEGIN BRANCH XLXN_1103
            WIRE 2032 2736 2144 2736
            WIRE 2144 1008 2192 1008
            WIRE 2144 1008 2144 2736
        END BRANCH
        BEGIN BRANCH XLXN_1102
            WIRE 2032 2672 2128 2672
            WIRE 2128 800 2192 800
            WIRE 2128 800 2128 2672
        END BRANCH
        BEGIN BRANCH STROBE0
            WIRE 2032 2416 2112 2416
            WIRE 2112 1648 2112 2416
            WIRE 2112 1648 2992 1648
        END BRANCH
        IOMARKER 2992 1648 STROBE0 R0 28
    END SHEET
END SCHEMATIC
