VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL FREQ_IN
        SIGNAL XLXN_313(31:0)
        SIGNAL RESET
        SIGNAL TestLED
        SIGNAL XLXN_583
        SIGNAL XLXN_582(31:0)
        SIGNAL XLXN_581(31:0)
        SIGNAL XLXN_580
        SIGNAL XLXN_579
        SIGNAL XLXN_578
        SIGNAL XLXN_577
        SIGNAL XLXN_576
        SIGNAL XLXN_575
        SIGNAL PULSE_OUT
        SIGNAL F_INT
        SIGNAL CLK_50MHZ
        SIGNAL CLK_50MHZBUF
        SIGNAL FREQ_OUT
        SIGNAL FDIV(4:0)
        SIGNAL XLXN_772
        SIGNAL CLK_200MHZ
        SIGNAL XLXN_807
        SIGNAL XLXN_810
        SIGNAL FDDS(31:0)
        SIGNAL XLXN_814(31:0)
        SIGNAL XLXN_815(31:0)
        SIGNAL XLXN_759(31:0)
        SIGNAL XLXN_599(3:0)
        SIGNAL F_MISO
        SIGNAL F_SCK
        SIGNAL F_MOSI
        SIGNAL F_DS
        SIGNAL F_RS
        SIGNAL FDIV(31:0)
        PORT Input FREQ_IN
        PORT Input RESET
        PORT Output TestLED
        PORT Output PULSE_OUT
        PORT Output F_INT
        PORT Input CLK_50MHZ
        PORT Output FREQ_OUT
        PORT Output F_MISO
        PORT Input F_SCK
        PORT Input F_MOSI
        PORT Input F_DS
        PORT Input F_RS
        BEGIN BLOCKDEF copy_of_title
            TIMESTAMP 2008 7 2 0 39 49
            BEGIN LINE W -1136 -212 -1136 -288 
            END LINE
            BEGIN LINE W -80 -220 -80 -288 
            END LINE
            LINE N -1136 -128 -80 -128 
            BEGIN LINE W -80 -80 -352 -80 
            END LINE
            BEGIN LINE W -1136 -80 -352 -80 
            END LINE
            BEGIN LINE W -1136 -224 -1136 -80 
            END LINE
            BEGIN LINE W -144 -80 -152 -80 
            END LINE
            BEGIN LINE W -80 -224 -80 -80 
            END LINE
            LINE N -112 -176 -80 -176 
            LINE N -176 -128 -144 -128 
            LINE N -336 -128 -336 -80 
            LINE N -108 -176 -1136 -176 
            LINE N -1136 -224 -80 -224 
            BEGIN LINE W -1136 -288 -80 -288 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF Counter_32_Bit
            TIMESTAMP 2008 7 1 20 8 12
            LINE N 64 -96 48 -96 
            LINE N 64 -72 80 -64 
            LINE N 80 -64 64 -56 
            LINE N 64 -32 48 -32 
            LINE N 64 -64 48 -64 
            RECTANGLE N 64 -144 304 -16 
            RECTANGLE N 304 -52 320 -44 
            LINE N 304 -48 320 -48 
        END BLOCKDEF
        BEGIN BLOCKDEF MUX_32
            TIMESTAMP 2008 7 9 22 18 25
            RECTANGLE N 0 -144 240 -16 
            LINE N 0 -96 -16 -96 
            RECTANGLE N -20 -68 0 -60 
            LINE N 0 -64 -16 -64 
            LINE N 240 -96 256 -96 
            RECTANGLE N 240 -100 260 -92 
            RECTANGLE N 240 -36 260 -28 
            LINE N 240 -32 256 -32 
            LINE N -16 -32 0 -32 
            LINE N 0 -32 0 -36 
            LINE N 0 -36 16 -32 
            LINE N 16 -32 0 -28 
        END BLOCKDEF
        BEGIN BLOCKDEF Timing_Gen
            TIMESTAMP 2008 7 12 17 11 2
            RECTANGLE N 64 -496 368 -96 
            LINE N 368 -384 384 -384 
            LINE N 368 -352 384 -352 
            LINE N 368 -320 384 -320 
            LINE N 368 -240 384 -240 
            LINE N 368 -208 384 -208 
            LINE N 368 -176 384 -176 
            LINE N 368 -128 384 -128 
            LINE N 368 -448 384 -448 
            LINE N 64 -448 48 -448 
            LINE N 64 -416 48 -416 
            LINE N 80 -416 64 -424 
            LINE N 80 -416 64 -408 
            LINE N 64 -384 48 -384 
            LINE N 64 -392 80 -384 
            LINE N 80 -384 64 -376 
            LINE N 64 -272 48 -272 
        END BLOCKDEF
        BEGIN BLOCKDEF Frequency_Generator
            TIMESTAMP 2008 12 9 20 51 52
            LINE N 64 -256 48 -256 
            LINE N 64 -224 48 -224 
            LINE N 80 -224 64 -228 
            LINE N 64 -220 80 -224 
            RECTANGLE N 48 -108 64 -84 
            LINE N 64 -96 48 -96 
            RECTANGLE N 48 -156 64 -132 
            LINE N 64 -144 48 -144 
            LINE N 368 -256 384 -256 
            RECTANGLE N 64 -308 368 -68 
        END BLOCKDEF
        BEGIN BLOCKDEF Timer
            TIMESTAMP 2008 12 12 7 27 24
            LINE N 64 -288 48 -288 
            LINE N 80 -256 64 -260 
            LINE N 64 -252 80 -256 
            LINE N 64 -256 48 -256 
            LINE N 80 -224 64 -228 
            LINE N 64 -220 80 -224 
            LINE N 64 -224 48 -224 
            RECTANGLE N 64 -320 368 -68 
            RECTANGLE N 48 -140 64 -116 
            LINE N 64 -128 48 -128 
            RECTANGLE N 48 -108 64 -84 
            LINE N 64 -96 48 -96 
            LINE N 368 -96 384 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF ibufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 0 64 -64 
            LINE N 128 -32 64 0 
            LINE N 64 -64 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF constant
            TIMESTAMP 2006 1 1 10 10 10
            RECTANGLE N 0 0 112 64 
            LINE N 144 32 112 32 
        END BLOCKDEF
        BEGIN BLOCKDEF dcm
            TIMESTAMP 2007 4 11 22 46 4
            LINE N 64 -832 0 -832 
            RECTANGLE N 64 -1024 320 -64 
            LINE N 384 -960 320 -960 
            LINE N 384 -896 320 -896 
            LINE N 384 -832 320 -832 
            LINE N 384 -576 320 -576 
            LINE N 384 -768 320 -768 
            LINE N 384 -640 320 -640 
            LINE N 384 -704 320 -704 
            LINE N 384 -512 320 -512 
            LINE N 384 -448 320 -448 
            LINE N 384 -384 320 -384 
            LINE N 0 -960 64 -960 
            LINE N 0 -896 64 -896 
            LINE N 0 -384 64 -384 
            LINE N 0 -256 64 -256 
            LINE N 0 -192 64 -192 
            LINE N 0 -128 64 -128 
            LINE N 384 -128 320 -128 
            LINE N 384 -320 320 -320 
            LINE N 64 -112 80 -128 
            LINE N 80 -128 64 -144 
            RECTANGLE N 320 -336 384 -304 
            LINE N 64 -944 80 -960 
            LINE N 80 -960 64 -976 
            LINE N 320 -288 64 -288 
            LINE N 64 -880 80 -896 
            LINE N 80 -896 64 -912 
        END BLOCKDEF
        BEGIN BLOCKDEF bufg
            TIMESTAMP 2000 1 1 10 10 10
            LINE N 64 -64 64 0 
            LINE N 128 -32 64 -64 
            LINE N 64 0 128 -32 
            LINE N 224 -32 128 -32 
            LINE N 0 -32 64 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF SPI
            TIMESTAMP 2009 2 7 16 8 4
            LINE N 64 -608 0 -608 
            LINE N 64 -544 0 -544 
            LINE N 64 -480 0 -480 
            LINE N 64 -416 0 -416 
            LINE N 64 -352 0 -352 
            RECTANGLE N 0 -300 64 -276 
            LINE N 64 -288 0 -288 
            RECTANGLE N 0 -236 64 -212 
            LINE N 64 -224 0 -224 
            RECTANGLE N 0 -172 64 -148 
            LINE N 64 -160 0 -160 
            RECTANGLE N 0 -108 64 -84 
            LINE N 64 -96 0 -96 
            RECTANGLE N 0 -44 64 -20 
            LINE N 64 -32 0 -32 
            LINE N 320 -608 384 -608 
            RECTANGLE N 64 -640 320 56 
            RECTANGLE N 320 -556 384 -532 
            LINE N 320 -544 384 -544 
            RECTANGLE N 320 -492 384 -468 
            LINE N 320 -480 384 -480 
            RECTANGLE N 320 -428 384 -404 
            LINE N 320 -416 384 -416 
            RECTANGLE N 320 -364 384 -340 
            LINE N 320 -352 384 -352 
            LINE N 320 -288 384 -288 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -96 384 -96 
            LINE N 320 32 384 32 
        END BLOCKDEF
        BEGIN BLOCK XLXI_108 copy_of_title
            ATTR NameFieldText "Klaus Philipp"
            ATTR TitleFieldText "c't-Lab FPGA FrequZ"
        END BLOCK
        BEGIN BLOCK XLXI_193 buf
            PIN I PULSE_OUT
            PIN O TestLED
        END BLOCK
        BEGIN BLOCK XLXI_191 Timer
            PIN CLK CLK_50MHZBUF
            PIN CLK_TIMER CLK_200MHZ
            PIN RESET RESET
            PIN D_H(31:0) XLXN_815(31:0)
            PIN D_L(31:0) XLXN_814(31:0)
            PIN PULSE_OUT PULSE_OUT
        END BLOCK
        BEGIN BLOCK XLXI_190 Frequency_Generator
            PIN RESET RESET
            PIN CLK CLK_200MHZ
            PIN dds_scaling_word(4:0) FDIV(4:0)
            PIN dds_control_word(31:0) FDDS(31:0)
            PIN FREQ_OUT FREQ_OUT
        END BLOCK
        BEGIN BLOCK XLXI_189 Timing_Gen
            PIN RESET RESET
            PIN CLK CLK_50MHZBUF
            PIN FREQ_IN FREQ_IN
            PIN INTR F_INT
            PIN CE_A XLXN_575
            PIN FREQ_OUT_A XLXN_576
            PIN CLR_A XLXN_577
            PIN CE_B XLXN_578
            PIN FREQ_OUT_B XLXN_579
            PIN CLR_B XLXN_580
            PIN AB_SWITCH XLXN_583
            PIN INTR_ACK XLXN_772
        END BLOCK
        BEGIN BLOCK XLXI_140 MUX_32
            PIN SEL_AB XLXN_583
            PIN OUT_MUX(31:0) XLXN_313(31:0)
            PIN IN_B(31:0) XLXN_581(31:0)
            PIN IN_A(31:0) XLXN_582(31:0)
            PIN CLK CLK_50MHZBUF
        END BLOCK
        BEGIN BLOCK XLXI_139 Counter_32_Bit
            PIN CE XLXN_578
            PIN CLK XLXN_579
            PIN CLR XLXN_580
            PIN Q(31:0) XLXN_581(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_138 Counter_32_Bit
            PIN CE XLXN_575
            PIN CLK XLXN_576
            PIN CLR XLXN_577
            PIN Q(31:0) XLXN_582(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_192 ibufg
            PIN I CLK_50MHZ
            PIN O CLK_50MHZBUF
        END BLOCK
        BEGIN BLOCK XLXI_308 bufg
            PIN I XLXN_810
            PIN O CLK_200MHZ
        END BLOCK
        BEGIN BLOCK XLXI_304 dcm
            PIN CLKFB XLXN_807
            PIN CLKIN CLK_50MHZBUF
            PIN DSSEN
            PIN PSCLK
            PIN PSEN
            PIN PSINCDEC
            PIN RST
            PIN CLK0 XLXN_807
            PIN CLK180
            PIN CLK270
            PIN CLK2X
            PIN CLK2X180
            PIN CLK90
            PIN CLKDV
            PIN CLKFX XLXN_810
            PIN CLKFX180
            PIN LOCKED
            PIN PSDONE
            PIN STATUS(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_309 SPI
            PIN SYSCLK CLK_50MHZBUF
            PIN F_DS F_DS
            PIN F_RS F_RS
            PIN F_SCLK F_SCK
            PIN F_MOSI F_MOSI
            PIN D0(31:0) XLXN_313(31:0)
            PIN D1(31:0)
            PIN D2(31:0)
            PIN D3(31:0) XLXN_759(31:0)
            PIN BASEADR(3:0) XLXN_599(3:0)
            PIN F_MISO F_MISO
            PIN Q4(31:0) FDDS(31:0)
            PIN Q5(31:0) FDIV(31:0)
            PIN Q6(31:0) XLXN_814(31:0)
            PIN Q7(31:0) XLXN_815(31:0)
            PIN STROBE4
            PIN STROBE5
            PIN STROBE6
            PIN STROBE7
            PIN STROBE0 XLXN_772
        END BLOCK
        BEGIN BLOCK XLXI_302 constant
            BEGIN ATTR CValue "09122008"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_759(31:0)
        END BLOCK
        BEGIN BLOCK XLXI_196 constant
            BEGIN ATTR CValue "1"
                DELETE all:1 sym:0
                EDITNAME all:1 sch:0
                VALUETYPE BitVector 32 Hexadecimal
            END ATTR
            PIN O XLXN_599(3:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3801 2688
        ATTR LengthUnitName "CM"
        ATTR GridsPerUnit "4"
        BEGIN INSTANCE XLXI_108 3872 2752 R0
        END INSTANCE
        LINE N 120 292 124 292 
        BEGIN RECTANGLE N 1680 16 2432 528 
            LINECOLOR 0 255 0
            LINESTYLE Dash
        END RECTANGLE
        IOMARKER 128 80 RESET R180 24
        IOMARKER 144 144 FREQ_IN R180 24
        BEGIN RECTANGLE N 1680 880 2432 1200 
            LINECOLOR 0 255 0
            LINESTYLE Dash
        END RECTANGLE
        BEGIN BRANCH FREQ_IN
            WIRE 144 144 1712 144
        END BRANCH
        BEGIN BRANCH RESET
            WIRE 128 80 1600 80
            WIRE 1600 80 1600 608
            WIRE 1600 608 1600 944
            WIRE 1600 944 1712 944
            WIRE 1600 608 1712 608
            WIRE 1600 80 1712 80
        END BRANCH
        IOMARKER 2496 1280 TestLED R0 28
        INSTANCE XLXI_193 2208 1312 R0
        BEGIN INSTANCE XLXI_191 1664 1232 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_190 1664 864 R0
        END INSTANCE
        IOMARKER 2576 80 F_INT R0 28
        BEGIN INSTANCE XLXI_189 1664 528 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_140 2096 528 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_139 2032 384 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_138 2032 240 R0
        END INSTANCE
        BEGIN DISPLAY 2068 580 TEXT "Frequency Generator"
            FONT 36 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN DISPLAY 2068 44 TEXT "Frequency Counter"
            FONT 36 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN BRANCH TestLED
            WIRE 2432 1280 2496 1280
        END BRANCH
        BEGIN BRANCH XLXN_583
            WIRE 2048 400 2064 400
            WIRE 2064 400 2064 432
            WIRE 2064 432 2080 432
        END BRANCH
        BEGIN BRANCH XLXN_582(31:0)
            WIRE 2352 192 2416 192
            WIRE 2416 192 2416 496
            WIRE 2352 496 2416 496
        END BRANCH
        BEGIN BRANCH XLXN_581(31:0)
            WIRE 2352 336 2384 336
            WIRE 2384 336 2384 432
            WIRE 2352 432 2384 432
        END BRANCH
        BEGIN BRANCH XLXN_580
            WIRE 2048 352 2080 352
        END BRANCH
        BEGIN BRANCH XLXN_579
            WIRE 2048 320 2080 320
        END BRANCH
        BEGIN BRANCH XLXN_578
            WIRE 2048 288 2080 288
        END BRANCH
        BEGIN BRANCH XLXN_577
            WIRE 2048 208 2080 208
        END BRANCH
        BEGIN BRANCH XLXN_576
            WIRE 2048 176 2080 176
        END BRANCH
        BEGIN BRANCH XLXN_575
            WIRE 2048 144 2080 144
        END BRANCH
        BEGIN BRANCH F_INT
            WIRE 2048 80 2576 80
        END BRANCH
        INSTANCE XLXI_192 240 1040 R0
        BEGIN BRANCH CLK_50MHZ
            WIRE 208 1008 240 1008
        END BRANCH
        BEGIN BRANCH XLXN_313(31:0)
            WIRE 448 2016 496 2016
            WIRE 448 2016 448 2608
            WIRE 448 2608 2064 2608
            WIRE 2064 464 2080 464
            WIRE 2064 464 2064 2608
        END BRANCH
        BEGIN BRANCH FREQ_OUT
            WIRE 2048 608 2496 608
        END BRANCH
        IOMARKER 2496 608 FREQ_OUT R0 28
        IOMARKER 208 1008 CLK_50MHZ R180 24
        BEGIN BRANCH FDIV(4:0)
            WIRE 1504 768 1712 768
            BEGIN DISPLAY 1504 768 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH PULSE_OUT
            WIRE 2048 1136 2160 1136
            WIRE 2160 1136 2160 1280
            WIRE 2160 1280 2208 1280
            WIRE 2160 1136 2496 1136
        END BRANCH
        BEGIN BRANCH CLK_50MHZBUF
            WIRE 432 1472 528 1472
            WIRE 528 1472 1344 1472
            WIRE 432 1472 432 1696
            WIRE 432 1696 496 1696
            WIRE 464 1008 528 1008
            WIRE 528 1008 528 1472
            WIRE 528 112 1552 112
            WIRE 1552 112 1712 112
            WIRE 1552 112 1552 496
            WIRE 1552 496 2080 496
            WIRE 1552 496 1552 976
            WIRE 1552 976 1712 976
            WIRE 528 112 528 1008
        END BRANCH
        BEGIN BRANCH CLK_200MHZ
            WIRE 1648 640 1648 1008
            WIRE 1648 1008 1648 1264
            WIRE 1648 1264 1840 1264
            WIRE 1840 1264 2016 1264
            WIRE 2016 1264 2016 1920
            WIRE 1648 1008 1712 1008
            WIRE 1648 640 1712 640
            WIRE 2000 1920 2016 1920
            BEGIN DISPLAY 1844 1264 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_304 1344 2432 R0
        BEGIN BRANCH XLXN_807
            WIRE 1296 1328 1792 1328
            WIRE 1792 1328 1792 1472
            WIRE 1296 1328 1296 1536
            WIRE 1296 1536 1344 1536
            WIRE 1728 1472 1792 1472
        END BRANCH
        BEGIN BRANCH XLXN_810
            WIRE 1728 1920 1776 1920
        END BRANCH
        INSTANCE XLXI_308 1776 1952 R0
        BEGIN RECTANGLE N 1680 544 2432 864 
            LINECOLOR 0 255 0
            LINESTYLE Dash
        END RECTANGLE
        BEGIN DISPLAY 1840 1844 TEXT Clock
            FONT 36 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN BRANCH FDDS(31:0)
            WIRE 880 1760 1200 1760
            WIRE 1200 720 1712 720
            WIRE 1200 720 1200 1664
            WIRE 1200 1664 1200 1760
            BEGIN DISPLAY 1200 1664 ATTR Name
                ALIGNMENT SOFT-TVCENTER
            END DISPLAY
        END BRANCH
        IOMARKER 2496 1136 PULSE_OUT R0 28
        BEGIN DISPLAY 2112 924 TEXT "Pulse Generator"
            FONT 36 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN BRANCH XLXN_814(31:0)
            WIRE 880 1888 1168 1888
            WIRE 1168 1136 1712 1136
            WIRE 1168 1136 1168 1888
        END BRANCH
        BEGIN BRANCH XLXN_815(31:0)
            WIRE 880 1952 1136 1952
            WIRE 1136 1104 1712 1104
            WIRE 1136 1104 1136 1952
        END BRANCH
        BEGIN INSTANCE XLXI_309 496 2304 R0
        END INSTANCE
        BEGIN BRANCH XLXN_759(31:0)
            WIRE 400 2208 496 2208
        END BRANCH
        BEGIN BRANCH XLXN_599(3:0)
            WIRE 256 2272 496 2272
        END BRANCH
        BEGIN BRANCH F_MISO
            WIRE 192 1600 912 1600
            WIRE 912 1600 912 1696
            WIRE 880 1696 912 1696
        END BRANCH
        IOMARKER 192 1600 F_MISO R180 24
        BEGIN DISPLAY 620 1380 TEXT SPI_Interface
            FONT 36 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
        BEGIN BRANCH F_SCK
            WIRE 272 1888 496 1888
        END BRANCH
        IOMARKER 272 1888 F_SCK R180 24
        BEGIN BRANCH F_MOSI
            WIRE 272 1952 496 1952
        END BRANCH
        IOMARKER 272 1952 F_MOSI R180 24
        BEGIN BRANCH F_DS
            WIRE 272 1760 496 1760
        END BRANCH
        IOMARKER 272 1760 F_DS R180 24
        BEGIN BRANCH F_RS
            WIRE 272 1824 496 1824
        END BRANCH
        IOMARKER 272 1824 F_RS R180 24
        BEGIN BRANCH FDIV(31:0)
            WIRE 880 1824 944 1824
            BEGIN DISPLAY 944 1824 ATTR Name
                ALIGNMENT SOFT-LEFT
            END DISPLAY
        END BRANCH
        BEGIN INSTANCE XLXI_302 256 2176 R0
        END INSTANCE
        BEGIN INSTANCE XLXI_196 112 2240 R0
        END INSTANCE
        BEGIN BRANCH XLXN_772
            WIRE 880 2336 1264 2336
            WIRE 1264 256 1712 256
            WIRE 1264 256 1264 2336
        END BRANCH
        BEGIN DISPLAY 116 2340 TEXT "Adresse 16-23"
            FONT 36 "Arial"
            TEXTCOLOR 0 128 0
        END DISPLAY
    END SHEET
END SCHEMATIC
